<div class="mask text-center">
    <div class="select-address">
        <h3 class="select-address-title">选择地址</h3>
        <div class="select-address-container">
            <ul>
                <li>
                    <!-- 省份 -->
                    <span ng-repeat="(k,v) in province" ng-click="aSet.p(v)" ng-class="{'label label-success': model.p.k === v.k}">
                    {{v.n}} {{x}}
                </span>
                </li>
                <li ng-if="citie">
                    <!-- 城市 -->
                    <span ng-repeat="(k,v) in citie" ng-click="aSet.c(v)" ng-class="{'label label-success': model.c.k === v.k}">
                    {{v.n}}
                </span>
                </li>
                <li ng-if="model.c && dist">
                    <!-- 县级 -->
                    <span ng-repeat="(k,v) in dist" ng-click="aSet.a(v)" ng-class="{'label label-success': model.a.k === v.k}">
                    {{v.n}}
                </span>
                </li>
            </ul>
        </div>
        <form class="select-address-footer" name="selectAddressDetail" ng-submit="finished()" novalidate>
            <strong class="text-danger">{{ model.p.n }} {{ model.c.n }} {{ model.a.n }}　</strong>
            <div class="form-group">
                <input ng-show="model.p" ng-model="model.d" class="form-control input-sm" name="detail" type="text" placeholder="此处请输入详细地址" required/>
            </div>
            <div class="toolbar">
                <button class="btn btn-sm btn-info" type="submit" ng-disabled="!_valid || selectAddressDetail.$invalid">确定</button>
                <button class="btn btn-sm btn-danger" type="button" ng-click="cancel()">取消</button>
                <button class="btn btn-sm btn-link" type="button" ng-click="clear()">清空</button>
            </div>
        </form>
    </div>
</div>
